/**
 * Класс для хранения двух значений
 * @see PairAlg
 * */
public class Pair<T> {
    private T first;
    private T second;

    /**
     * Конструктор класса Pair по умолчанию
     * */
    public Pair() {
    }

    /**
     * Конструктор класса Pair
     * @param first первое значение
     * @param second второе значение
     * */
    public Pair(T first, T second) {
        this.first = first;
        this.second = second;
    }

    /**
     * Функция для устовки первого значения
     * @param first первое значение
     * */
    public void setFirst(T first) {
        this.first = first;
    }

    /**
     * Функция для устовки второго значения
     * @param second второго значение
     * */
    public void setSecond(T second) {
        this.second = second;
    }

    /**
     * Функция для получения первого значения
     * @return первое значение
     * */
    public T getFirst() {
        return first;
    }

    /**
     * Функция для получения второго значения
     * @return второе значение
     * */
    public T getSecond() {
        return second;
    }
}
